# GET /api/v1/configuration/{orgId}/list

**List Organization Scan Configuration**

List the HawkScan configurations for this organization.

> Requires `read:scan_config` permission.

## Parameters

- `orgId` (in: path, string<uuid>) *(required)* — UUID identifier for this StackHawk Organization.
- `pageSize` (in: query, integer<int32>) — Pagination response size limit.
- `pageToken` (in: query, integer<int32>) — Pagination request page increment.
- `sortField` (in: query, string) — Resource field to sort paginated response by.
- `sortDir` (in: query, string) — Paginated results are sorted 'asc' or 'desc'.
- `page` (in: query, string) — Pagination page key.
- `query` (in: query, string) — Name of a Scan Configuration.

## Responses

### 200 — List of organization scan configurations.

#### application/json

- `configs` (configuration.OrganizationScanConfigurationInfo[]) — The list of organization scan configurations.
  - `description` (string) — The description for this scan configuration.
  - `name` (string) — The referencable unique name for this organization scan configuration.
  - `organizationId` (string) — The organizationId the scan configuration belongs to.
- `hasNext` (boolean) — Has a next page of results.
- `hasPrev` (boolean) — Has a previous page of results.
- `nextPageToken` (string) — PageToken to provide for the next page of results.
- `prevPageToken` (string) — PageToken to provide for the previous page of results.
- `totalCount` (integer<int64>) — Total number of results.

### 401 — Unauthorized

- (no body)
